Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 4328)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -66,5 +69,5 @@
            
        USE indices,                                                            &            
-           ONLY :  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+           ONLY :  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
            
        USE kinds
@@ -98,5 +101,5 @@
        !$ACC PRIVATE(surf_e, surf_s, flag, kmxm, kmxp, kmym, kmyp) &
        !$ACC PRIVATE(mask_west, mask_east, mask_south, mask_north) &
-       !$ACC PRESENT(wall_flags_0, km) &
+       !$ACC PRESENT(wall_flags_static_0, km) &
        !$ACC PRESENT(u, v, w) &
        !$ACC PRESENT(ddzu, ddzw, rho_air, drho_air_zw) &
@@ -111,13 +114,13 @@
 !--             Predetermine flag to mask topography and wall-bounded grid points. 
                 flag       = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,i),   3 ) ) 
+                                    BTEST( wall_flags_static_0(k,j,i),   3 ) ) 
                 mask_east  = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,i+1), 3 ) )
+                                    BTEST( wall_flags_static_0(k,j,i+1), 3 ) )
                 mask_west  = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j,i-1), 3 ) )
+                                    BTEST( wall_flags_static_0(k,j,i-1), 3 ) )
                 mask_south = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j-1,i), 3 ) )
+                                    BTEST( wall_flags_static_0(k,j-1,i), 3 ) )
                 mask_north = MERGE( 1.0_wp, 0.0_wp,                            &
-                                    BTEST( wall_flags_0(k,j+1,i), 3 ) )
+                                    BTEST( wall_flags_static_0(k,j+1,i), 3 ) )
 !
 !--             Interpolate eddy diffusivities on staggered gridpoints
@@ -251,5 +254,5 @@
            
        USE indices,                                                            &            
-           ONLY :  nzb, nzt, wall_flags_0
+           ONLY :  nzb, nzt, wall_flags_static_0
            
        USE kinds
@@ -283,9 +286,9 @@
 !
 !--       Predetermine flag to mask topography and wall-bounded grid points. 
-          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i),   3 ) ) 
-          mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i+1), 3 ) )
-          mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i-1), 3 ) )
-          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j-1,i), 3 ) )
-          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j+1,i), 3 ) )
+          flag       = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i),   3 ) ) 
+          mask_east  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i+1), 3 ) )
+          mask_west  = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i-1), 3 ) )
+          mask_south = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j-1,i), 3 ) )
+          mask_north = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j+1,i), 3 ) )
 !
 !--       Interpolate eddy diffusivities on staggered gridpoints
Index: /palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- /palm/trunk/SOURCE/disturb_field.f90	(revision 4328)
+++ /palm/trunk/SOURCE/disturb_field.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4237 2019-09-25 11:33:42Z knoop
 ! Added missing OpenMP directives
 ! 
@@ -59,5 +62,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzb_max, &
-               nzt, wall_flags_0
+               nzt, wall_flags_static_0
         
     USE kinds
@@ -214,5 +217,5 @@
              DO  k = nzb, nzb_max
                 dist1(k,j,i) = MERGE( dist1(k,j,i), 0.0_wp,                    &
-                                      BTEST( wall_flags_0(k,j,i), flag_nr )    &
+                                      BTEST( wall_flags_static_0(k,j,i), flag_nr )    &
                                     )
              ENDDO
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 4328)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -92,5 +95,5 @@
         ONLY:   ngp_2dh, ngp_2dh_s_inner, ngp_3d, ngp_3d_inner, ngp_sums,      &
                 ngp_sums_ls, nxl, nxr, nyn, nys, nzb, nzt, topo_min_level,     &
-                wall_flags_0
+                wall_flags_static_0
         
     USE kinds
@@ -254,9 +257,9 @@
        !$OMP DO
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag) &
-       !$ACC PRESENT(wall_flags_0, u, v, pt, rmask, sums_l)
+       !$ACC PRESENT(wall_flags_static_0, u, v, pt, rmask, sums_l)
        DO  i = nxl, nxr
           DO  j =  nys, nyn
              DO  k = nzb, nzt+1
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                 !$ACC ATOMIC
                 sums_l(k,1,tn)  = sums_l(k,1,tn)  + u(k,j,i)  * rmask(j,i,sr)  &
@@ -283,5 +286,5 @@
                                     * rmask(j,i,sr)                            &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_0(k,j,i), 22 ) )
+                                             BTEST( wall_flags_static_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
@@ -298,5 +301,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                    sums_l(k,44,tn)  = sums_l(k,44,tn) +                        &
                                       vpt(k,j,i) * rmask(j,i,sr) * flag
@@ -311,5 +314,5 @@
                 DO  j =  nys, nyn
                    DO  k = nzb, nzt+1
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                       sums_l(k,42,tn) = sums_l(k,42,tn) +                      &
                                       ( q(k,j,i) - ql(k,j,i) ) * rmask(j,i,sr) &
@@ -335,5 +338,5 @@
                                     * rmask(j,i,sr)                            &
                                     * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_0(k,j,i), 22 ) )
+                                             BTEST( wall_flags_static_0(k,j,i), 22 ) )
                 ENDDO
              ENDDO
@@ -476,5 +479,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j, k, m) &
        !$ACC PRIVATE(sums_l_etot, flag) &
-       !$ACC PRESENT(wall_flags_0, rmask, momentumflux_output_conversion) &
+       !$ACC PRESENT(wall_flags_static_0, rmask, momentumflux_output_conversion) &
        !$ACC PRESENT(hom(:,1,4,sr)) &
        !$ACC PRESENT(e, u, v, w, km, kh, p, pt) &
@@ -485,5 +488,5 @@
              sums_l_etot = 0.0_wp
              DO  k = nzb, nzt+1
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
 !
 !--             Prognostic and diagnostic variables
@@ -653,5 +656,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb, nzt+1
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
 
                    u2   = u(k,j,i)**2
@@ -685,10 +688,10 @@
        !$OMP DO
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k, flag, w2, ust2, vst2) &
-       !$ACC PRESENT(wall_flags_0, u, v, w, rmask, hom(:,1,1:2,sr)) &
+       !$ACC PRESENT(wall_flags_static_0, u, v, w, rmask, hom(:,1,1:2,sr)) &
        !$ACC PRESENT(sums_l)
        DO  i = nxl, nxr
           DO  j =  nys, nyn
              DO  k = nzb, nzt+1
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
 
                 w2   = w(k,j,i)**2
@@ -714,5 +717,5 @@
        !$ACC PRIVATE(ki, flag, ust, vst, pts) &
        !$ACC PRESENT(kh, km, u, v, w, pt) &
-       !$ACC PRESENT(wall_flags_0, rmask, ddzu, rho_air_zw, hom(:,1,1:4,sr)) &
+       !$ACC PRESENT(wall_flags_static_0, rmask, ddzu, rho_air_zw, hom(:,1,1:4,sr)) &
        !$ACC PRESENT(heatflux_output_conversion, momentumflux_output_conversion) &
        !$ACC PRESENT(surf_def_h(0:2), surf_lsm_h, surf_usm_h) &
@@ -732,7 +735,7 @@
              DO  k = nzb, nzt
                 flag = MERGE( 1.0_wp, 0.0_wp,                                  &
-                              BTEST( wall_flags_0(k,j,i), 23 ) ) *             &
+                              BTEST( wall_flags_static_0(k,j,i), 23 ) ) *             &
                        MERGE( 1.0_wp, 0.0_wp,                                  &
-                              BTEST( wall_flags_0(k,j,i), 9  ) )
+                              BTEST( wall_flags_static_0(k,j,i), 9  ) )
 !
 !--             Momentum flux w"u"
@@ -1206,5 +1209,5 @@
 !--                rearranged according to the staggered grid.
              DO  k = nzb, nzt
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 22 ) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 22 ) )
                 ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +                  &
                                  u(k+1,j,i) - hom(k+1,1,1,sr) )
@@ -1395,7 +1398,7 @@
 !--                fluxes, which are added further below. 
                    flag = MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(k,j,i), 23 ) ) *          &
+                                 BTEST( wall_flags_static_0(k,j,i), 23 ) ) *          &
                           MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(k,j,i), 9  ) )
+                                 BTEST( wall_flags_static_0(k,j,i), 9  ) )
 
                    ust = 0.5_wp * ( u(k,j,i)   - hom(k,1,1,sr) +               &
@@ -1430,7 +1433,7 @@
                 DO  k = nzb, nzt
                    flag = MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(k,j,i), 23 ) ) *          &
+                                 BTEST( wall_flags_static_0(k,j,i), 23 ) ) *          &
                           MERGE( 1.0_wp, 0.0_wp,                               &
-                                 BTEST( wall_flags_0(k,j,i), 9  ) )
+                                 BTEST( wall_flags_static_0(k,j,i), 9  ) )
 !
 !--                Vertical heat flux
@@ -1481,5 +1484,5 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                    sums_ll(k,1) = sums_ll(k,1) + 0.5_wp * w(k,j,i) * (         &
@@ -1523,5 +1526,5 @@
                 DO  k = nzb+1, nzt
 
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                    sums_l(k,57,tn) = sums_l(k,57,tn) - 0.5_wp * (              &
@@ -1552,5 +1555,5 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !
 !--                Subgrid horizontal heat fluxes u"pt", v"pt"
@@ -1650,5 +1653,5 @@
              DO  j =  nys, nyn
                 DO  k = nzb+1, nzt+1
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                    sums_l(k,100,tn)  = sums_l(k,100,tn)  + rad_lw_in(k,j,i)    &
Index: /palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4329)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4310 2019-11-26 19:01:28Z suehring
 ! Remove dt_indoor from namelist input. The indoor model is an hourly-based 
 ! model, calling it more/less often lead to inaccurate results.
@@ -478,5 +481,5 @@
 
     USE indices,                                                               &
-        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+        ONLY:  nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
 
     USE grid_variables,                                                        &
@@ -668,5 +671,5 @@
 !
 !--             Check if grid point belongs to a building. 
-                IF ( BTEST( wall_flags_0(k,j,i), 6 ) )  THEN
+                IF ( BTEST( wall_flags_static_0(k,j,i), 6 ) )  THEN
                    k_min_l(nb) = MIN( k_min_l(nb), k )
                    k_max_l(nb) = MAX( k_max_l(nb), k )
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 4328)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4286 2019-10-30 16:01:14Z resler
 ! implement new palm_date_time_mod
 ! 
@@ -774,7 +777,7 @@
 !--       Set velocity components at non-atmospheric / oceanic grid points to 
 !--       zero. 
-          u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-          v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )
-          w = MERGE( w, 0.0_wp, BTEST( wall_flags_0, 3 ) )
+          u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+          v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )
+          w = MERGE( w, 0.0_wp, BTEST( wall_flags_static_0, 3 ) )
 !
 !--       Initialize surface variables, e.g. friction velocity, momentum 
@@ -824,6 +827,6 @@
 !
 !--       Set velocities back to zero
-          u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-          v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )         
+          u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+          v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )         
 !
 !--       WARNING: The extra boundary conditions set after running the
@@ -868,6 +871,6 @@
 !
 !--       Mask topography
-          u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-          v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )
+          u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+          v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )
 !
 !--       Set initial horizontal velocities at the lowest computational grid 
@@ -884,7 +887,7 @@
                    DO  k = nzb, nzt
                       u(k,j,i) = MERGE( u(k,j,i), 0.0_wp,                      &
-                                        BTEST( wall_flags_0(k,j,i), 20 ) )
+                                        BTEST( wall_flags_static_0(k,j,i), 20 ) )
                       v(k,j,i) = MERGE( v(k,j,i), 0.0_wp,                      &
-                                        BTEST( wall_flags_0(k,j,i), 21 ) )
+                                        BTEST( wall_flags_static_0(k,j,i), 21 ) )
                    ENDDO
                 ENDDO
@@ -1310,9 +1313,9 @@
                 DO  k = nzb, nzt
                    u(k,j,i)     = MERGE( u(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 1 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 1 ) )
                    v(k,j,i)     = MERGE( v(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 2 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 2 ) )
                    w(k,j,i)     = MERGE( w(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 3 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 3 ) )
                 ENDDO
              ENDDO
@@ -1395,10 +1398,10 @@
                                               u_init(k) * dzw(k)               &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nxr), 1 )&
+                                              BTEST( wall_flags_static_0(k,j,nxr), 1 )&
                                             )
 
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nxr), 1 )&
+                                              BTEST( wall_flags_static_0(k,j,nxr), 1 )&
                                             )
                 ENDDO
@@ -1412,9 +1415,9 @@
                                               v_init(k) * dzw(k)               &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn,i), 2 )&
+                                              BTEST( wall_flags_static_0(k,nyn,i), 2 )&
                                             )
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)   &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn,i), 2 )&
+                                              BTEST( wall_flags_static_0(k,nyn,i), 2 )&
                                             )
                 ENDDO
@@ -1444,9 +1447,9 @@
                                               hom_sum(k,1,0) * dzw(k)          &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                 ENDDO
@@ -1460,9 +1463,9 @@
                                               hom_sum(k,2,0) * dzw(k)          &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)   &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                 ENDDO
@@ -1492,9 +1495,9 @@
                                               u(k,j,nx) * dzw(k)               &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                 ENDDO
@@ -1508,9 +1511,9 @@
                                               v(k,ny,i) * dzw(k)               &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)   &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                 ENDDO
@@ -1693,8 +1696,8 @@
 !--                xy-grid points above topography
                    ngp_2dh_outer_l(k,sr) = ngp_2dh_outer_l(k,sr)     +         &
-                                  MERGE( 1, 0, BTEST( wall_flags_0(k,j,i), 24 ) )
+                                  MERGE( 1, 0, BTEST( wall_flags_static_0(k,j,i), 24 ) )
 
                    ngp_2dh_s_inner_l(k,sr) = ngp_2dh_s_inner_l(k,sr) +         &
-                                  MERGE( 1, 0, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                  MERGE( 1, 0, BTEST( wall_flags_static_0(k,j,i), 22 ) )
 
                 ENDDO
@@ -1792,5 +1795,5 @@
 !$ACC COPYIN(rho_air(nzb:nzt+1), rho_air_zw(nzb:nzt+1)) &
 !$ACC COPYIN(ddzu(1:nzt+1), ddzw(1:nzt+1)) &
-!$ACC COPYIN(wall_flags_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
+!$ACC COPYIN(wall_flags_static_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
 !$ACC COPYIN(bc_h(0:1)) &
 !$ACC COPYIN(bc_h(0)%i(1:bc_h(0)%ns)) &
